### Method

# Pango GlyphString extents_range

#### Declaration [src]

    void
    pango_glyph_string_extents_range (
      PangoGlyphString* glyphs,
      int start,
      int end,
      PangoFont* font,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Computes the extents of a sub-portion of a glyph string.

The extents are relative to the start of the glyph string range (the origin of their coordinate system is at the start of the range, not at the start of the entire glyph string).

#### Parameters

`start`

  Type: `int`

  Start index.

`end`

  Type: `int`

  End index (the range is the set of bytes with indices such that start <= index < end)

`font`

  Type: `PangoFont`

  A `PangoFont`

  The data is owned by the caller of the method.

`ink_rect`

  Type: `PangoRectangle`

  Rectangle used to store the extents of the glyph string range as drawn.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`logical_rect`

  Type: `PangoRectangle`

  Rectangle used to store the logical extents of the glyph string range.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.